/**
 * 
 */
package com.rjconsultores.ventaboletos.relatorios.impl;

import java.sql.Connection;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;

import com.rjconsultores.ventaboletos.entidad.LogAuditoria;
import com.rjconsultores.ventaboletos.relatorios.utilitarios.LogAuditoriaBean;

import net.sf.jasperreports.engine.data.JRBeanCollectionDataSource;

public class RelatorioLogAuditoria extends RelatorioDemandas {
	public RelatorioLogAuditoria(Map<String, Object> parametros, Connection conexao, List list) throws Exception {
		super(parametros, conexao);
		
		List<LogAuditoriaBean> listaBean = new ArrayList<LogAuditoriaBean>();
		
		for (Object object : list) {
			LogAuditoria log = (LogAuditoria)object;
			LogAuditoriaBean bean = new LogAuditoriaBean();
			
			bean.setIdAuditado(log.getIdAuditado());
			bean.setCampoAlterado(log.getCampoAlterado());
			bean.setEmpresa(log.getEmpresa() != null ? log.getEmpresa().getNombempresa() : "");
			bean.setUsuario(log.getUsuario() != null ? log.getUsuario().getNombusuario() : "");
			bean.setClasseAlterada(log.getClasseAlterada());
			bean.setClassePrincipal(log.getClassePrincipal());
			bean.setTela(log.getTela());
			bean.setDataAlteracao(log.getFecmodif());
			bean.setCampoAlterado(log.getCampoAlterado());
			bean.setValorAtual(log.getValorNovo());
			bean.setValorAnterior(log.getValorAnterior());
			bean.setTipoAlteracao(log.getTipoAlteracao());
			listaBean.add(bean);
		}
		setCollectionDataSource(new JRBeanCollectionDataSource(listaBean));


	}
}
